1.Getting started

1.1 What's this?

This program sets system font setting on Windows 8.1/10.

1.2 Target OS

This program runs on Windows 8,8.1 and 10.

1.3 Files

File name | Contents
noMeiryoUI.exe | Program file
Chinese (Simplified)_China.lng | Simplified Chinese message file.
English.lng | English message file.
Korean.lng | Korean message file.
default.lng | Default message file.
Japanese.chm | Japanese help file.
Chinese (Simplified)_China.chm | Simplified Chinese help file.
English.chm | English help file.
Korean.chm | Korean help file.
default.chm | Default help file.
src.zip | Source files.

1.4 Installation

Install

Extruct all files in same folder.

Uninstall

Delete all files.


2.How to use

Run noMeiryoUI.exe.
This icon( [image]).

And, below window is displayed.

Push select... button to set user interface element.

When you push select... button, this dialog is displayed.

Choice font face, font size, font style, charset, and push OK button.

Push set button , you can set user interface font.

Command line option.

Command line format is below.
noMeiryoUI [font_setting_file] [-set]

If you specify font setting file, font setting file is loaded when this program started.

If you choice -set option, system fonts are setted automatically.


3.History

04/28/2018 Version 2.35

  • Now display language is displayed by system display language without system locale.
  • For various people,font size is larger than previous version.
  • Thanks for deVbug's cooperation,Korean language added.
  • Add Korean font name substitution.(Only in Korean.)
  • Thanks for kingofotaku's cooperation,Simplified Chinese translation improved.

06/03/2017 Version 2.34

  • On startup, main window is shown on center of monitor which mouse cursor exists.
  • Font select dialog is shown over main window.
  • Help file is shown on center of monitor which mouse cursor exists.
  • Simplified Chinese help file font problem fixed..

05/14/2017 Version 2.33

  • On Windows 10, added detailed version informations.
  • Preset menu is available on English version Windows.
  • Preset font charset item is added in language file.
  • Language and help file can be detected by Windows locale name.

10/10/2016 Version 2.32

  • Simplified Chinese help file added. Thanks Gekka Tachibana.
  • Preset menu is enabled on simplified Chinese Windows.
  • Source file folder layout is changed to add another language in future.

09/19/2016 Version 2.31

  • Simplified Chinese message added. Thanks Gekka Tachibana.
  • Help file is changed to HTML help.
  • Added translator credits.

08/19/2016 Version 2.30

  • Pre multi language version.

To know previous version's changes, please read Japanese version help file.


License

4.License

Copyright

This program is freeware.
Source files are distributed under the MIT open source license.(http://opensource.org/licenses/mit-license.php)

Author

Tatsuhiko Syoji(Tatsu)
E-mail Address rxk16664@nifty.ne.jp
My Web page http://tatsu.life.coocan.jp/index.html

Translators

Language | Author
Simplified Chinese | Gekka Tachibana,kingofotaku
Korean | deVbug
Japanese, English | Tatsu